<h2>User Profile</h2>

<table>
  <tr>
    <th>ID</th>
    <td>{{user.profile.id}}</td>
  </tr>
  <tr>
    <th>Display Name</th>
    <td>
      <editable-text [value]="user.profile.displayName"
                     (update)="updateProperty('displayName', $event)"></editable-text>
    </td>
  </tr>
  <tr>
    <th>Age</th>
    <td>
      <editable-number [value]="user.profile.age" [min]="20" [max]="80" (update)="updateProperty('age', $event)"></editable-number>
    </td>
  </tr>
  <tr>
    <th>Female</th>
    <td>
      <editable-boolean [value]="user.profile.female" (update)="updateProperty('female', $event)"></editable-boolean>
    </td>
  </tr>
  <tr>
    <th>Birth Day</th>
    <td>
      <editable-date [value]="user.profile.birthDay" (update)="updateProperty('birthDay',$event)"></editable-date>
    </td>
  </tr>
  <tr>
    <th>Image</th>
    <td>
      <editable-text [value]="user.profile.profileImage" (update)="updateProperty('profileImage', $event)"></editable-text>
    </td>
  </tr>
</table>
